<div id="rightBox">
	<table border="0" cellpadding="0" cellspacing="0" class="rightBox_table">
		<tr>
			<td><img src="/files/contentBoxTop.jpg" alt="" width="690" height="16"/></td>
		</tr>
		<tr>
			<td valign="top" style="background-image: url(/files/contentBoxMiddle.jpg); width: 690px; height: 547px; background-position: center top; background-repeat: no-repeat;">
				<div id="rightBox_content">
					<table id="hor-minimalist-b">
					    <thead>
					    	<tr>
					        	<th scope="col">Keyword</th>
					            <th scope="col">Aktualna pozycja w google</th>
					            <th scope="col">Średnia z tygodnia</th>
					        </tr>
					    </thead>
					    <tbody>
				
						<?php 
						//print_r($keywords);
						//print_r($pozycja);
							foreach($keywords as $keyword)	
							{
									
								if($pozycja!=null)
								{	
									foreach($pozycja as $pos)
									{
										if($keyword['id']==$pos['keyword_id'])
										{
											$poz_ok =  $pos['position'];
											break;
										}
										else
										{
											$poz_ok =  'brak danych';
										}
									}
								}else $poz_ok =  'brak danych';
									
									echo '<tr>';
									echo '<td>'.$keyword['keyword'].'</td><td>'.$poz_ok.'</td><td>';
									
									//if($poz_ok != 'brak danych')
									
									$positions = $this->baza->get_keyword_position_average($keyword['id'],$keyword['domain_id']);
												
									$srednia = 0;
									$i=0;
									
									foreach($positions as $position)
									{
										$srednia += $position['position'];
										$i++;
									}
									
									if($i==0)
										{
											echo 'brak danych';
										}
									else
										{
											echo round($srednia/$i);
										}
								
									echo '</td>';
									echo '</tr>';
							}
						?>
						</tbody>
					</table>
					<?php
						if($this->uri->segment('1')=='superadmin') 
							$link = 'superadmin';
						else		
							$link = 'admin';
					?>		
					<div class="smallButton2"><a class="gray_link" href="/<?=$link;?>/domain">WSTECZ</a></div>					
				</div>
			</td>	
		</tr>
		<tr>
			<td><img src="/files/contentBoxBottom.jpg" alt="" width="690" height="17"/></td>
		</tr>
	</table>
</div>					